Skip to content
Select themeSelect language

`PATCH /api/workflows/triggers/{trigger_id}` — enable/disable or reconfigure a trigger.

PATCH
/api/workflows/triggers/{trigger_id}
curl --request PATCH \
--url https://example.com/api/workflows/triggers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "config": "example", "enabled": true }'
trigger_id
required
string format: uuid
Media typeapplication/json

PATCH /api/workflows/triggers/{token} body — enable/disable or reconfigure a trigger (the {token} path param is the trigger id for this user-authed CRUD method). Both fields are optional; an omitted field is unchanged.

object
config
enabled
boolean | null
Examplegenerated
{
"config": "example",
"enabled": true
}
Media typeapplication/json

A trigger as returned to the client. Plaintext token is returned only on create/rotate so receiver URLs are show-once. List/update responses return a non-secret token_preview instead.

object
config
required
created_at
required
string format: date-time
enabled
required
boolean
id
required
string format: uuid
kind
required

Spec-only mirror of the closed workflow_triggers.kind set (TriggerKind::as_db_str). TriggerResponse.kind narrows to this via #[schema(value_type = WorkflowTriggerKindSpec)].

string
Allowed values: manual schedule git webhook telegram email imap email_plus_address discord linear_issue notion_page app_run chatwoot_conversation intercom_conversation
token
string | null
token_preview
string | null
workflow_id
required
string format: uuid
Example
{
"kind": "manual"
}